Bug 817777 - Default value for "Redistribution Delay" (when creating JMS Queue) is not properly defined in JON UI
Default value for "Redistribution Delay" (when creating JMS Queue) is not pro...
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 5 (Show other bugs)
JON 3.0.1
Unspecified Unspecified
unspecified Severity medium
: ER01
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On: 817778
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 04:55 EDT by bkramer
Modified: 2014-01-02 15:38 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2012-05-01 04:55:57 EDT
Description of problem:
When trying to create new JMS Queue, "Redistribution Delay" default value should be "-1" but in JON UI it's just "-" so the user has to change it. Also, it's not possible to set it to "-1".

Version-Release number of selected component (if applicable):
JON 3.0.1

How reproducible:
Always

Steps to Reproduce:

1. In JON UI, select JBoss instance with HornetQ and navigate to JMS Manager;
2. Right click on JMS Manager and from the drop down menu choose "Create Child" and JMS Queue;
3. Follow the screens in the "Resource Create Wizard" and define values for: New Resource Name, Name and JNDI Name;
4. Scroll down to check the default value for "Redistribution Delay". This is set to "-" although the description next to this field says that "-1" is the default value which means "do not re distribute".
5. Press "Finish" button without changing "Redistribution Delay" value;  
  
Actual results:
The Wizard screen will not close and exclamation sign will be shown next to the "Redistribution Delay" field. 

Expected results:
The "Redistribution Delay" default value is properly set to "-1" and the queue can be created without changing this field.

Additional info:
Please note that attempt to set this field to "-1" will not work as well.
Comment 1 Mike Foley 2012-05-08 15:33:36 EDT
per BZ triage ... crouch, loleary, foley
Comment 2 mark yarborough 2012-11-06 15:05:24 EST
Per 3.1.2 triage with loleary, mfoley, ccrouch, asantos: Okay to move to JON 3.2.
Comment 3 Thomas Segismont 2013-06-24 06:19:33 EDT
Please specify the plugin and resource type you're talking about, as well as the managed server version.

The only "Redistribution Delay" thing I found in our code is in AS7 plugin / "Address Setting". I tried to create a new Address Setting in EAP6.1 and changed the Redistribution Delay config param and it worked fine (even with -1).
Comment 4 bkramer 2013-06-25 04:15:06 EDT
(In reply to Thomas Segismont from comment #3)
> Please specify the plugin and resource type you're talking about, as well as
> the managed server version.
> 
> The only "Redistribution Delay" thing I found in our code is in AS7 plugin /
> "Address Setting". I tried to create a new Address Setting in EAP6.1 and
> changed the Redistribution Delay config param and it worked fine (even with
> -1).

Sorry - I forgot to include that information. This problem was noticed when running EAP 5.1.2 + hornetQ enabled.
Comment 5 Thomas Segismont 2013-06-25 08:18:20 EDT
I tried with this stack:
EAP 5.2
RHQ 4.8-SNAPSHOT
hornetq-jopr-plugin-2.0.0.Final

It works fine. When creating a Queue, "Redistribution Delay" is set to -1 by default as expected. After the queue is created, I can change this value and then set it back to -1 without problems.

Please provide any logs, stacktraces ... etc which would help to reproduce the problem.
Comment 7 bkramer 2013-06-25 08:53:34 EDT
Initially I did a test and reported this bug for JBoss ON 3.0.1 version and EAP 5.1.2 with hornetQ enabled. 

However, I've just done the same test on JBoss ON 3.1.2 with EAP 5.1.2 with hornetQ and this worked fine. The value of "Redistribution Delay" was set to -1 and I got warning and couldn't proceed further when I tried to set this property to some incorrect value (for instance "-").
Comment 8 Larry O'Leary 2013-09-06 10:31:16 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 9 Radim Hatlapatka 2013-11-01 12:22:53 EDT
Verified with JON 3.2.0.ER4

Note You need to log in before you can comment on or make changes to this bug.